Bug 844750 - atheros ar3012 bluetooth in acer aspire s3 is not recognized [NEEDINFO]
Summary: atheros ar3012 bluetooth in acer aspire s3 is not recognized
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-07-31 15:49 UTC by niktr
Modified: 2021-12-20 09:53 UTC (History)
29 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-11 23:33:01 UTC
Type: Bug
infobestar123: needinfo? (williamairlines0222)


Attachments (Terms of Use)
Comment (64.62 KB, text/plain)
2013-01-11 16:01 UTC, niktr
no flags Details

Description niktr 2012-07-31 15:49:07 UTC
Description of problem:
atheros ar3012 bluetooth in acer aspire s3 is not recognized

Version-Release number of selected component (if applicable):
Fedora 17 
atheros ar3012 bluetooth in acer aspire s3 is not recognized

How reproducible:
Try to pair the device (mouse or phone). Nothing hapens. Phone deos not see laptop and laptop does not see phone. The same with mouse.

Steps to Reproduce:
1. Power on PC
2. Try to pair any device
3. Failure
  
Actual results:
Failure to even find any BT enabled device

Expected results:
Pair device and work with it properly

Additional info:
dmesg
[30914.229641] usb 1-1.4: new full-speed USB device number 6 using ehci_hcd
[30914.316664] usb 1-1.4: New USB device found, idVendor=04ca, idProduct=3004
[30914.316668] usb 1-1.4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[30914.316671] usb 1-1.4: Product: Bluetooth USB Host Controller
[30914.316674] usb 1-1.4: Manufacturer: Atheros Communications
[30914.316676] usb 1-1.4: SerialNumber: Alaska Day 2006

lspci
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b4)
00:1c.5 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 6 (rev b4)
00:1d.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation UM67 Express Chipset Family LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 04)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 04)
02:00.0 Network controller: Atheros Communications Inc. AR9485 Wireless Network Adapter (rev 01)
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b4)
00:1c.5 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 6 (rev b4)
00:1d.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation UM67 Express Chipset Family LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 04)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 04)
02:00.0 Network controller: Atheros Communications Inc. AR9485 Wireless Network Adapter (rev 01)

uname -svm
Linux #1 SMP Thu Jul 5 20:20:59 UTC 2012 x86_64

Per the info from http://www.linlap.com/wiki/acer+aspire+s3 kernel patches can be taken on https://lkml.org/lkml/2011/12/4/69 or thread.gmane.org/gmane.linux.baluez.kernel/18801

Thanks in advance.

Comment 1 niktr 2012-09-12 14:52:07 UTC
problem still exist on the latest 3.5.3-1 kernel. At least BT devices can't be discovered properly.
Thanks.

Comment 2 niktr 2012-12-20 14:57:51 UTC
problem still exist on the latest 6.10-2.fc17.x86_64 kernel. At least BT devices can't be discovered properly.
Thanks.

Comment 3 Josh Boyer 2013-01-08 15:33:43 UTC
What version of linux-firmware do you have installed?  Is the bluetoothd process running?  Can you attach the output of dmesg from boot?

Comment 4 niktr 2013-01-11 16:01:05 UTC
Created attachment 915654 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).

Comment 5 niktr 2013-02-17 16:22:58 UTC
Seems nothing has changed with upgrading to Fedora 18 and 3.7.5-201.fc18.x86_64. Ubuntu already has the patched their kernels to make BT work as far as I can judge.

Comment 6 niktr 2013-02-17 16:35:58 UTC
Seems comment 5 was saved too early.
To make it perfectly clear what I'm requesting is to patch the kernel in the way adding a couple of lines with IDs of appropriate devices to ath3k.c and btusb.c. Instruction originally published on http://www.linlap.com/acer_aspire_s3 for SUSE also workable for Fedora thought is listed below. 
Prepared patches can be adopted from https://lkml.org/lkml/2011/12/4/69 or http://thread.gmane.org/gmane.linux.bluez.kernel/18801 per my fist post.

I was unable to find appropriate IDs in Fedora 18 kernel sources. Maybe I missing something? 

###########################################################
First, the firmware is part of the package kernel-firmware, which you'll need to install (e.g. with YaST). Then, the driver needs to be patched as described above. In a nutshell:

1) Install package kernel-source (e.g. with YaST).
2) Edit /usr/src/linux/drivers/bluetooth/ath3k.c. After the line starting with

static struct usb_device_id ath3k_table

there are a few lines of the form

/* Atheros AR5BBU12 with sflash firmware */
{ USB_DEVICE(x0489, 0xE02C) },

Add a line

{ USB_DEVICE(0x04ca, 0x3004) },

Same thing again after the line starting with

static struct usb_device_id ath3k_blist

add a line

{ USB_DEVICE(0x04ca, 0x3004), .driver_info = BTUSB_ATH3012 },

3) Edit /usr/src/linux/drivers/bluetooth/btusb.c. After the line starting with

static struct usb_device_id blacklist_ta

add a line

{ USB_DEVICE(0x04ca, 0x3004), .driver_info = BTUSB_ATH3012 },

4) Now compile and update the kernel (takes a little time):

cd /usr/src/linux/
make O=/lib/modules/$(uname -r)/build oldconfig
make O=/lib/modules/$(uname -r)/build M=$(pwd)/drivers/bluetooth modules
make O=/lib/modules/$(uname -r)/build M=$(pwd)/drivers/bluetooth modules_install
depmod -a

5) Reboot.
############################################

Thanks in advance.

Comment 7 Josh Boyer 2013-02-18 15:04:22 UTC
Sigh.  Ok.  The patches you point to in the original comment went into the upstream kernel in 3.4-rc1, so Fedora has carried them for a very long time.  I thought you were pointing to them as a solution for your problem, not as an example of what to do.  Given this is a known problem in a lot of places, I'm kind of surprised nobody has sent a patch upstream for this specific device.

I'll work something up later today for you to test.

Comment 8 Josh Boyer 2013-02-18 15:41:40 UTC
Please test this once it finishes building and let me know how it works:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5024898

Also, can you provide the output of 'usb-devices'?

Comment 9 niktr 2013-02-18 18:40:04 UTC
Josh, thank you very much for your answer and attention to my problem.

For the links I provided. I myself was thinking what those are exact solutions at least it was so when I was on fedora 17. Two days ago I was digging tor those HW IDs in fedora 18 kernel src RPM and found none in ath3k.c. My be I completely missing the thing? 

For testing new kernel I will try but I'm on fedora 18 already and I doubt VM can be a test case. 

usb devices listing below and IDs I have seems exactly the same as provided in the patch.

T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=480 MxCh= 2
D:  Ver= 2.00 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=1d6b ProdID=0002 Rev=03.07
S:  Manufacturer=Linux 3.7.8-202.fc18.x86_64 ehci_hcd
S:  Product=EHCI Host Controller
S:  SerialNumber=0000:00:1a.0
C:  #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub

T:  Bus=01 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  2 Spd=480 MxCh= 6
D:  Ver= 2.00 Cls=09(hub  ) Sub=00 Prot=01 MxPS=64 #Cfgs=  1
P:  Vendor=8087 ProdID=0024 Rev=00.00
C:  #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub

T:  Bus=01 Lev=02 Prnt=02 Port=03 Cnt=01 Dev#=  3 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=e0(wlcon) Sub=01 Prot=01 MxPS=64 #Cfgs=  1
P:  Vendor=04ca ProdID=3004 Rev=00.01
S:  Manufacturer=Atheros Communications
S:  Product=Bluetooth USB Host Controller
S:  SerialNumber=Alaska Day 2006
C:  #Ifs= 2 Cfg#= 1 Atr=e0 MxPwr=100mA
I:  If#= 0 Alt= 0 #EPs= 3 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
I:  If#= 1 Alt= 0 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb

T:  Bus=01 Lev=02 Prnt=02 Port=04 Cnt=02 Dev#=  4 Spd=480 MxCh= 0
D:  Ver= 2.00 Cls=ef(misc ) Sub=02 Prot=01 MxPS=64 #Cfgs=  1
P:  Vendor=1bcf ProdID=2c00 Rev=08.12
S:  Manufacturer=C8BAB0192
S:  Product=1.3M HD WebCam
C:  #Ifs= 2 Cfg#= 1 Atr=80 MxPwr=500mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=0e(video) Sub=01 Prot=00 Driver=uvcvideo
I:  If#= 1 Alt= 0 #EPs= 0 Cls=0e(video) Sub=02 Prot=00 Driver=uvcvideo

T:  Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=480 MxCh= 2
D:  Ver= 2.00 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=1d6b ProdID=0002 Rev=03.07
S:  Manufacturer=Linux 3.7.8-202.fc18.x86_64 ehci_hcd
S:  Product=EHCI Host Controller
S:  SerialNumber=0000:00:1d.0
C:  #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub

T:  Bus=02 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  2 Spd=480 MxCh= 8
D:  Ver= 2.00 Cls=09(hub  ) Sub=00 Prot=01 MxPS=64 #Cfgs=  1
P:  Vendor=8087 ProdID=0024 Rev=00.00
C:  #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub

T:  Bus=02 Lev=02 Prnt=02 Port=01 Cnt=01 Dev#=  3 Spd=1.5 MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0518 ProdID=0008 Rev=01.00
S:  Product=Multi-Input Device
C:  #Ifs= 2 Cfg#= 1 Atr=a0 MxPwr=100mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=01 Driver=usbhid
I:  If#= 1 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=02 Driver=usbhid

T:  Bus=02 Lev=02 Prnt=02 Port=05 Cnt=02 Dev#=  4 Spd=480 MxCh= 0
D:  Ver= 2.00 Cls=ff(vend.) Sub=ff Prot=ff MxPS=64 #Cfgs=  1
P:  Vendor=0bda ProdID=0129 Rev=39.60
S:  Manufacturer=Generic
S:  Product=USB2.0-CRW
S:  SerialNumber=20100201396000000
C:  #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr=500mA
I:  If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=06 Prot=50 Driver=(none)

Comment 10 Josh Boyer 2013-02-18 19:24:22 UTC
(In reply to comment #9)
> Josh, thank you very much for your answer and attention to my problem.
> 
> For the links I provided. I myself was thinking what those are exact
> solutions at least it was so when I was on fedora 17. Two days ago I was
> digging tor those HW IDs in fedora 18 kernel src RPM and found none in
> ath3k.c. My be I completely missing the thing? 
> 
> For testing new kernel I will try but I'm on fedora 18 already and I doubt
> VM can be a test case. 

Unless you are using Secure Boot, the F17 kernel should boot fine.  If you have troubles with it for some reason, let me know and I can create an F18 kernel to test.

> usb devices listing below and IDs I have seems exactly the same as provided
> in the patch.
 
> T:  Bus=01 Lev=02 Prnt=02 Port=03 Cnt=01 Dev#=  3 Spd=12  MxCh= 0
> D:  Ver= 1.10 Cls=e0(wlcon) Sub=01 Prot=01 MxPS=64 #Cfgs=  1
> P:  Vendor=04ca ProdID=3004 Rev=00.01
> S:  Manufacturer=Atheros Communications
> S:  Product=Bluetooth USB Host Controller
> S:  SerialNumber=Alaska Day 2006
> C:  #Ifs= 2 Cfg#= 1 Atr=e0 MxPwr=100mA
> I:  If#= 0 Alt= 0 #EPs= 3 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
> I:  If#= 1 Alt= 0 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb

Vendor=04ca ProdID=3004.  The lkml.org patch you linked to had that included, but the gmane thread (which was the patch that actually went upstream), didn't.  So we need to get those included as well.  I can send the patch upstream after a successful test.

Comment 11 niktr 2013-02-19 16:06:12 UTC
Josh, I confirm bluetooth workability for 3.7.8-102.5.fc17.x86_64 under fedora 18 x86_64 for my Acer Aspire S3. Test is successful.

Could you give a dates when this patch can be expected in Fedora 18 kernel?

Thank you very much one more time.

Comment 12 Josh Boyer 2013-02-19 17:03:28 UTC
(In reply to comment #11)
> Josh, I confirm bluetooth workability for 3.7.8-102.5.fc17.x86_64 under
> fedora 18 x86_64 for my Acer Aspire S3. Test is successful.

Excellent, thank you for reporting and testing.

> Could you give a dates when this patch can be expected in Fedora 18 kernel?

I've committed it to all active Fedora branches today.  It should show up in the next submitted F18 update.  Bodhi will leave the normal comments here when it hits the repositories.

Comment 13 Fedora Update System 2013-02-25 19:32:38 UTC
kernel-3.7.9-205.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.7.9-205.fc18

Comment 14 Fedora Update System 2013-02-25 19:37:01 UTC
kernel-3.7.9-104.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.7.9-104.fc17

Comment 15 Fedora Update System 2013-02-27 02:27:45 UTC
kernel-3.7.9-205.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2013-03-02 20:02:10 UTC
kernel-3.7.9-104.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 niktr 2013-03-31 17:40:26 UTC
(In reply to comment #16)
> kernel-3.7.9-104.fc17 has been pushed to the Fedora 17 stable repository. 
> If problems still persist, please make note of it in this bug report.

I can confirm what kernel-3.7.9-205.fc18 is the only worked for me. Thought all the later updates kernel-3.8.3-203.fc18 and kernel-3.8.4-202.fc18 does not.

Does this patch expected as temporary one?

Thanks in advance.

Comment 18 Josh Boyer 2013-04-02 18:24:58 UTC
(In reply to comment #17)
> (In reply to comment #16)
> > kernel-3.7.9-104.fc17 has been pushed to the Fedora 17 stable repository. 
> > If problems still persist, please make note of it in this bug report.
> 
> I can confirm what kernel-3.7.9-205.fc18 is the only worked for me. Thought
> all the later updates kernel-3.8.3-203.fc18 and kernel-3.8.4-202.fc18 does
> not.
> 
> Does this patch expected as temporary one?

It wasn't supposed to be temporary.  It seems it was dropped in the 3.8 rebase on accident.

Comment 19 Josh Boyer 2013-04-02 18:25:33 UTC
OK, I've added it back.

Comment 20 niktr 2013-04-05 13:00:40 UTC
(In reply to comment #19)
> OK, I've added it back.
Thank you much. Can I test kernel-3.8.5-201.fc18 or I should wait for later release?

Comment 21 Josh Boyer 2013-04-05 13:08:02 UTC
(In reply to comment #20)
> (In reply to comment #19)
> > OK, I've added it back.
> Thank you much. Can I test kernel-3.8.5-201.fc18 or I should wait for later
> release?

It will be in the next release.  I reopened the bug so bodhi will leave a new comment here when it is available for testing.

Comment 22 niktr 2013-04-05 14:13:09 UTC
(In reply to comment #21)
> (In reply to comment #20)
> > (In reply to comment #19)
> > > OK, I've added it back.
> > Thank you much. Can I test kernel-3.8.5-201.fc18 or I should wait for later
> > release?
> 
> It will be in the next release.  I reopened the bug so bodhi will leave a
> new comment here when it is available for testing.

Clear. Thank you much.

Comment 23 Fedora Update System 2013-04-09 22:15:45 UTC
kernel-3.8.6-203.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.8.6-203.fc18

Comment 24 Fedora Update System 2013-04-11 10:10:30 UTC
Package kernel-3.8.6-203.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.8.6-203.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5368/kernel-3.8.6-203.fc18
then log in and leave karma (feedback).

Comment 25 Fedora Update System 2013-04-11 23:33:03 UTC
kernel-3.8.6-203.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Geek Squad techsupport 2019-03-12 06:37:12 UTC
thanks for sharing this. Kindly have a look at Geek Squad Support. they provide technical assistance for electronic gadgets and appliances. you can contact the 24/7 for help.
visit https://customerservices.us/geek-squad-tech-support/

Comment 27 Mike Smith 2019-05-16 18:35:15 UTC
Thanks for sharing this helpful post. https://www.quickbookssupportline.com/

Comment 29 Mike Smith 2019-05-16 19:16:40 UTC
It's a good post. https://www.quickbookssupportline.com/quickbooks-phone-number/

Comment 33 Barrymore Drew 2019-07-15 08:42:11 UTC
thanks for sharing this helpful post. Are you searching for Sage Helpline Number call - 1855-228-6818 / https://www.accountingsupport-helpline.com/sage-customer-support/

Comment 34 Rachel Weisz 2019-07-15 12:15:31 UTC
Very nice post. Thanks for sharing this post. If you are searching how to install AOL gold desktop Call - 833-205-7608 / https://www.usa-mailsupport.com/aol-desktop-gold/

Comment 35 Loans vic 2019-08-17 03:41:16 UTC
You're very right on this guide. It's very easy to get guide about San Diego payday loans on online today from https://www.badcreditloansgate.com/online-payday-loans-san-diego-ca/

Comment 36 Edward mosan 2019-11-18 12:09:46 UTC
I have tested Bluetooth workability. thanks for this information. if anyone needs more such information kindly go to http://desktopgolddownload.net/.

Comment 37 Jack Wilson 2019-11-26 12:53:38 UTC
Quicken is an award-winning financial software. You can manage personal financial works through Quicken and you can get a budget also. This software providing the most comprehensive features. But if you need to update Quicken for windows then you can visit Quicken official website. 
To know more, visit here:
https://www.customer-service-numbers.com/get-to-know-how-to-update-quicken-for-windows.html

Comment 38 william smith 2019-12-03 06:39:11 UTC
Everyone wants to have fun while they are on vacation. Fulfil your dreams and aspirations, and enjoy the vacation trip with American Airlines flights. https://americanairlinesreservation.org/american-flights/

Comment 39 william smith 2019-12-03 06:52:04 UTC
Book your next journey tickets by United Airlines Reservations. Avail exclusive offers and deals on your booking. Plan your journey with your loved ones!
https://united-airlines-reservations.com/

Comment 40 Quicken Support 2020-01-26 19:43:52 UTC
This Article is Really Fantastic And Thanks For Sharing The Valuable Post..Issues With Quicken Software Dial Or Visit http://intuittechsupportcenter.us/ Get Instant Help and Support from Quicken Certified Experts.You Do Not Want To Get Hold Of The Quicken Support Online Or Be Looking For Opening Hours For Quicken Support Team.

Quicken Support 800 Number :-) http://intuittechsupportcenter.us/
Quicken Support Number usa :-) http://intuittechsupportcenter.us/
Quicken Support Website :-) http://intuittechsupportcenter.us/
Quicken Support Help Number:-) http://intuittechsupportcenter.us/
Quicken Support Contact :-) http://intuittechsupportcenter.us/
Quicken Support Windows 10 :-) http://intuittechsupportcenter.us/

Comment 41 Peter Milder 2020-04-18 05:44:10 UTC
Book your next flight or vacation packages with the best-discounted price from anywhere in the world.

To get the best deals & offers visit the link below:

https://medium.com/@pmilder/top-10-steps-to-do-delta-airlines-flight-reservations-with-great-deals-offers-9f09d850daa0

Comment 42 david johnson 2020-04-28 07:12:12 UTC
This is a nice post. I am a travel blogger. If you have any query related to flight booking so visit here, https://medium.com/@pmilder/delta-airlines-first-class-best-flights-for-domestic-travel-in-the-usa-cf2aceeef9f3

Comment 43 Peter Milder 2020-05-02 16:46:33 UTC
Know everything about Air Canada Airlines First Class cabin’s features including seat specifications, fresh food, baggage, amenities, and lounge access. Enjoy the elevated travel experience with the Air Canada Airlines First Class flights with-in the USA. The spacious seats, fresh-made food, sky-priority, and personalized flight attend service to make you feel like home. Visit https://medium.com/@pmilder/air-canada-reservations-1-888-469-4661-tollfree-phone-number-for-customer-service-7bb5a14a55f4 to get the best deals & offers for your next flight.

Comment 44 daniel louka 2020-05-12 08:53:50 UTC
Travelers always look for cheap flights, hotels, and vacation packages to lower down their costs to spend more on other stuff like shopping, and exploring other things. Southwest Airlines is one of the largest flight carriers that offer the lowest flight fares for domestic flights.

Check out the link to know the latest flight fares and other deals.

https://medium.com/@pmilder/southwest-airlines-phone-number-customer-service-reservations-69b86cb49348

Comment 45 Wilhelm Smith 2020-05-14 11:13:11 UTC
Air Canada is the banner transporter and the biggest carrier of Canada by armada size and travelers conveyed. The carrier, established in 1937, gives planned and contract air transport for travelers and loads to 207 destinations around the world. It is an establishing individual from the Star Alliance. Air Canada's corporate central command is in Montreal, Quebec, while its biggest center point is at Toronto Pearson International Airport. The aircraft's provincial help is Air Canada Express.

https://medium.com/@pmilder/air-canada-reservations-1-888-469-4661-tollfree-phone-number-for-customer-service-7bb5a14a55f4

Comment 46 All Nippon Airways 2020-06-05 07:22:44 UTC
All Nippon Airways additionally referred to as the most important airline in Japan by revenues and traveler numbers. Its headquarters area unit set in the Shiodome center within the Shiodome space of the Minato ward of Tokyo. It operates services to each domestic and international destinations and had over 20000 staff as of March 2016. Additionally, to its inject operations, ANA controls many subsidiary traveler carriers, together with its regional airline, ANA Wings, and contract flattop, Air Nippon.
 
<a href="https://medium.com/@pmilder/a-descriptive-guide-for-flights-tickets-reservations-with-all-nippon-airways-2795708e812a">All Nippon Airways</a>

Comment 47 Kylee James 2020-06-08 05:12:43 UTC
i had to face this issue to. try this
https://errorproblems.com/support-for-email/http-error-504-gateway-timeout-in-aol-mail/

Comment 48 zaheer 2020-07-23 11:55:22 UTC
Thank you for the post. it is really very informative and useful post.

Comment 49 zaheer 2020-07-23 11:55:51 UTC
Thank you for the post. it is really very informative and useful post.
https://www.dmessages.com/good-morning-wishes-for-him/

Comment 50 john albertson 2020-12-04 13:38:13 UTC
Can you tell, Which company offers the best Bluetooth headphones, my 3 headphones are damaged in the last 1 year, now I looking for good quality headphones. https://www.develvo.net/

Comment 51 birisi 2021-03-10 14:14:28 UTC
Thank you for the post.
https://www.gipastekstil.com/kategori/bayan-fantazi-gecelik

Comment 52 Brayden Mathews 2021-03-16 12:14:14 UTC
Felt blessed and satisfied after reading your published blog. It was quite easy for me to understand and learn your prescribed teachings. So, I would like to thank you for this. Besides, if you encounter QuickBooks Error Code OL-301, you should feel free to browse our website. Over there you will find many knowledge-based contents that will help you to fix every technical glitch in no time.
Website: https://asquarecloudhosting.com/quickbooks-error-ol-301/

Comment 53 Leonardo Ray 2021-08-25 07:29:09 UTC
I like such bags. I think they are funny. I have tiktok channel about funny bags. I often buy new followers for my profile and likes for my video from here https://soclikes.com/

Comment 54 Henry Jhonson 2021-12-20 09:53:29 UTC
Nice Post, Keep going

By the way, I am Henry, I was born and brought up in Florida, US. I have experience in Accounting and have been using QuickBooks for a long time. But recently, I got too many connection issues and errors but then I found QuickBooks connection diagnostic tool 2018 download. Which fixed my issues. Check my website for more details.

- https://opencloudmanifesto.org/quickbooks-connection-diagnostic-tool/


Note You need to log in before you can comment on or make changes to this bug.